Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class ExpandoMetaClass.ExpandoMetaProperty

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.ExpandoMetaProperty

    protected class ExpandoMetaClass.ExpandoMetaProperty
    extends GroovyObjectSupport

Instances of this class are returned when using the << left shift operator.

Example:

metaClass.myMethod << { String args -> }

This allows callbacks to the ExpandoMetaClass for registering appending methods

Authors:
  Graeme Rocher

Field Summary
`protected boolean` | `isStatic`
`protected java.lang.String` | `propertyName`

Constructor Summary
`protected ExpandoMetaClass.ExpandoMetaProperty(java.lang.String name)`
`protected ExpandoMetaClass.ExpandoMetaProperty(java.lang.String name, boolean isStatic)`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.String` | `getPropertyName()`
`boolean` | `isStatic()`
`java.lang.Object` | `leftShift(java.lang.Object arg)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### isStatic

    protected boolean isStatic

### propertyName

    protected java.lang.String propertyName

Constructor Detail

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(java.lang.String name)

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(java.lang.String name, boolean isStatic)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### getPropertyName

    public java.lang.String getPropertyName()

### isStatic

    public boolean isStatic()

### leftShift

    public java.lang.Object leftShift(java.lang.Object arg)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation